## ros-foxy-octomap-server 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(octomap_server)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(PCL REQUIRED)
include_directories(${PCL_INCLUDE_DIRS})

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

ament_auto_add_library(octomap_server_static SHARED
  src/octomap_server_static.cpp
)

target_link_libraries(octomap_server_static
  ${OCTOMAP_LIBRARIES}
  ${PCL_LIBRARIES}
)

rclcpp_components_register_node(octomap_server_static
  PLUGIN "octomap_server::OctomapServerStatic"
  EXECUTABLE octomap_server_static_node
)

ament_auto_add_library(octomap_server SHARED
  src/octomap_server.cpp
)

target_link_libraries(octomap_server
  ${OCTOMAP_LIBRARIES}
  ${PCL_LIBRARIES}
)

rclcpp_components_register_node(octomap_server
  PLUGIN "octomap_server::OctomapServer"
  EXECUTABLE octomap_server_node
)

ament_auto_add_library(octomap_server_multilayer SHARED
  src/octomap_server.cpp
  src/octomap_server_multilayer.cpp
)

target_link_libraries(octomap_server_multilayer
  ${OCTOMAP_LIBRARIES}
  ${PCL_LIBRARIES}
)

rclcpp_components_register_node(octomap_server_multilayer
  PLUGIN "octomap_server::OctomapServerMultilayer"
  EXECUTABLE octomap_server_multilayer_node
)

ament_auto_add_library(tracking_octomap_server SHARED
  src/octomap_server.cpp
  src/tracking_octomap_server.cpp
)

target_link_libraries(tracking_octomap_server
  ${OCTOMAP_LIBRARIES}
  ${PCL_LIBRARIES}
)

rclcpp_components_register_node(tracking_octomap_server
  PLUGIN "octomap_server::TrackingOctomapServer"
  EXECUTABLE tracking_octomap_server_node
)

ament_auto_add_library(color_octomap_server SHARED
  src/octomap_server.cpp
)

target_link_libraries(color_octomap_server
  ${OCTOMAP_LIBRARIES}
  ${PCL_LIBRARIES}
)

rclcpp_components_register_node(color_octomap_server
  PLUGIN "octomap_server::ColorOctomapServer"
  EXECUTABLE color_octomap_server_node
)

target_compile_definitions(color_octomap_server PUBLIC COLOR_OCTOMAP_SERVER)

ament_auto_add_library(octomap_saver SHARED
  src/octomap_saver.cpp
)

target_link_libraries(octomap_saver
  ${OCTOMAP_LIBRARIES}
)

rclcpp_components_register_node(octomap_saver
  PLUGIN "octomap_server::OctomapSaver"
  EXECUTABLE octomap_saver_node
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(
  INSTALL_TO_SHARE
    launch
    params
)

install(PROGRAMS
  scripts/octomap_eraser_cli.py
  DESTINATION lib/${PROJECT_NAME}
)

=== debian/changelog ===
ros-foxy-octomap-server (2.0.0-1focal) focal; urgency=high

  * ROS2 Migration (#95 <https://github.com/octomap/octomap_mapping/issues/95>)
  * Contributors: Daisuke Nishimatsu, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-foxy-octomap-server (0.6.7-1focal) focal; urgency=high

  * Address warnings on Noetic (#81 <https://github.com/octomap/octomap_mapping/issues/81>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-foxy-octomap-server (0.6.6-1focal) focal; urgency=high

  * Update CI, package format, dependencies to address dependency issue on Debian Buster (#79 <https://github.com/OctoMap/octomap_mapping/issues/79>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-octomap-server (0.6.5-1focal) focal; urgency=high

  * Add color server nodelet (#68 <https://github.com/OctoMap/octomap_mapping/issues/68>, #67 <https://github.com/OctoMap/octomap_mapping/issues/67>)
  * Updated maintainer email
  * Contributors: clunietp, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-foxy-octomap-server (0.6.4-1focal) focal; urgency=high

  * Add private node handle to fix nodelet support (#61 <https://github.com/OctoMap/octomap_mapping/issues/61>), fixes #39 <https://github.com/OctoMap/octomap_mapping/issues/39>
  * Add octomap_server_color library by default (#60 <https://github.com/OctoMap/octomap_mapping/issues/60>) - by Matthew Powelson
  * Check if part of a voxel is in occupancy range (#59 <https://github.com/OctoMap/octomap_mapping/issues/59>) - by Jasper v. B.
  * Contributors: Matthew Powelson, Wolfgang Merkt, Jasper v. B.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 08 Jan 2020 00:00:00 -0000

ros-foxy-octomap-server (0.6.3-1focal) focal; urgency=high

  * Fix compilation on Debian Stretch
  * Get rgb from point cloud iterator without byte shift
  * Contributors: Kentaro Wada, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 28 Jan 2019 00:00:00 -0000

ros-foxy-octomap-server (0.6.2-1focal) focal; urgency=high

  * Update maintainer email (Wolfgang Merkt)
  * Change catkin_package DEPENDS to OCTOMAP to avoid CMake warning
  * Update maintainer email (Arming Hornung)
  * Update to use non deprecated pluginlib macro
  * Fixed memory leak of colors pointer if COLOR_OCTOMAP_SERVER defined
  * Contributors: Armin Hornung, Mikael Arguedas, Ronky, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 27 Jan 2019 00:00:00 -0000

ros-foxy-octomap-server (0.6.1-1focal) focal; urgency=high

  * Fix for Colored Octomap: Use PCLPoint everywhere
    Fixes compiler error when enabling the define
    for color.
  * Fixed maxRange bug in OctomapServer.cpp for clearing
  * Adjust maintainer email
  * Contributors: Armin Hornung, Brandon Kinman, Felix Endres

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 18 Oct 2016 23:00:00 -0000

ros-foxy-octomap-server (0.6.0-1focal) focal; urgency=high

  * Add sensor model parameters to dynamic_reconfigure
  * Load map file from rosparam
  * Add x and y filter for pointcloud
  * Preparations for ColorOctomapServer (compile option, from source)
  * Fix iterator in OctomapServer
  * TrackingOctomapServer: Publish node center rather than index, prevent from publishing empty cloud
  * Contributors: Armin Hornung, Javier V. Gomez, JJeremie Deray, MasakiMurooka, Shohei Fujii, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 25 Mar 2016 00:00:00 -0000

ros-foxy-octomap-server (0.5.3-1focal) focal; urgency=high

  * Fixing PCL linking errors on build farm

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 09 Jan 2014 00:00:00 -0000

ros-foxy-octomap-server (0.5.2-1focal) focal; urgency=high

  * Fixing PCL linking errors on build farm

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 09 Jan 2014 00:00:00 -0000

ros-foxy-octomap-server (0.5.1-1focal) focal; urgency=high

  * Fix missing nodelet plugin from install

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 25 Nov 2013 00:00:00 -0000

ros-foxy-octomap-server (0.5.0-1focal) focal; urgency=high

  * Small fix in octomap_server_static usage
  * Catkinization, remove support for arm_navigation

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 23 Oct 2013 23:00:00 -0000

ros-foxy-octomap-server (0.4.9-1focal) focal; urgency=high

  * cleanup of unused functions
  * Parameters, reading .bt files in octomap_server_static
  * added simple octomap_server_static node to serve OctoMaps from .ot files (no scan integration)
  * Fix for incremental 2D projection map updates (thx to B.Coenen for the report)
  * Publish free space as MarkerArray and CollisionMap (set parameter ~publish_free_space=True to enable). Thx to I. Wieser!
  * renamed OctomapServer's NodeHandle constructor parameter to be more clear, added the same to OctomapServerMultilayer

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 26 Jun 2013 23:00:00 -0000

ros-foxy-octomap-server (0.4.8-1focal) focal; urgency=high

  * Applied patch from issue #7 <https://github.com/OctoMap/octomap_mapping/issues/7>: Nodelet version of octomap_server
    Modified to not change the global namespace
  * fixes for cmake / catkin
  * fixed octomap_server for OctoMap 1.5 (deprecations), adjusted to new msg format
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Jan 2013 00:00:00 -0000

ros-foxy-octomap-server (0.4.6-1focal) focal; urgency=high

  * Added NodeHandle parameter to OctomapServerMultilayer constructor
  * Commited patch #7 <https://github.com/OctoMap/octomap_mapping/issues/7>, contributed by M. Liebhardt: Nodelet version of the octomap server


=== debian/control ===
Source: ros-foxy-octomap-server
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-octomap, ros-foxy-octomap-msgs, ros-foxy-octomap-ros, ros-foxy-pcl-conversions, ros-foxy-pcl-ros, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-eigen, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/octomap_server
Standards-Version: 3.9.2

Package: ros-foxy-octomap-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-octomap, ros-foxy-octomap-msgs, ros-foxy-octomap-ros, ros-foxy-pcl-conversions, ros-foxy-pcl-ros, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-eigen, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: octomap_server loads a 3D map (as Octree-based OctoMap) and distributes it to other nodes in a compact binary format.
 It also allows to incrementally build 3D OctoMaps, and provides map saving in the node octomap_saver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-octomap-server//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
